Ticket #270 (closed bug: fixed)

Opened 10 years ago

Last modified 8 years ago

Execute: negative step errors

Reported by: joh Assigned to:
Priority: minor Milestone:
Component: devices/bebob Version: FFADO 2.0-rc2 (1.999.42)
Keywords: Cc:
The device the bug applies to:

Description

jackd 0.116.1 with ffado 1.999.43 on Ubuntu Karmic:

libffado1 2.0~rc2+svn1569-2ubuntu1 jackd 0.116.1-4ubuntu2

Sound card: Edirol FA-66 FireWire? card: Texas Instruments TSB82AA2 IEEE-1394b Link Layer Controller (rev 01)

I start jackd with:

jackd -R -d firewire -r 44100 -n 4 -p 2048 -v3

After a minute or so I get a constant flow of error messages like these:

13010291434: Error (CycleTimerHelper?.cpp)[ 508] Execute: negative step: -6311384749.779715! (correcting to nominal) 13010491434: Error (CycleTimerHelper?.cpp)[ 508] Execute: negative step: -6383674302.787433! (correcting to nominal) 13010691448: Error (CycleTimerHelper?.cpp)[ 508] Execute: negative step: -6457904604.647587! (correcting to nominal) 13010891442: Error (CycleTimerHelper?.cpp)[ 508] Execute: negative step: -6534075049.204482! (correcting to nominal) 13011091439: Error (CycleTimerHelper?.cpp)[ 508] Execute: negative step: -6612185921.561870! (correcting to nominal)

They appear about 5-10 times a second. Functionality doesn't seem to be affected though - sound plays just fine. I do get some XRUNs now and then though, but I'm not sure they're related to these errors.

I'm attaching the full output log of the above command.

Attachments

jackd-ffado.log (6.8 kB) - added by joh on 04/09/10 07:28:59.

Change History

04/09/10 07:28:59 changed by joh

  • attachment jackd-ffado.log added.

(follow-up: ↓ 2 ) 09/12/10 13:31:25 changed by arnonym

Hi, is this still an issue?

And is this an issue when you use -n3 -p1024 or lower values of -p? My experience tells me that sometimes stability does increase when using packet sizes below 1024...

(in reply to: ↑ 1 ) 09/12/10 14:01:54 changed by joh

Replying to arnonym:

Hi, is this still an issue? And is this an issue when you use -n3 -p1024 or lower values of -p? My experience tells me that sometimes stability does increase when using packet sizes below 1024...

Yes, this is still an issue with -p 1024, 512 and 256. Running jackd 0.118+svn3796-1ubuntu2 and ffado 2.0.0-1ubuntu1 (Lucid). Should I try with ffado/jack from SVN as well?

03/27/12 19:26:12 changed by jwoithe

Is there anything further to add here? With 18 months elapsed since the last communication, the fobvious question is to ask whether it happens with ffado/jack from SVN now.

Another question (which relates to issues raised in ticket #242) is whether you are running ntpd on your computer to keep time synchronised with network time servers. If you are it would be worth stopping it and re-testing.

03/29/12 07:00:15 changed by jwoithe

Note: ticket #213 may describe a related problem.

05/04/12 04:24:43 changed by jwoithe

  • status changed from new to closed.
  • resolution set to fixed.

With no further feedback provided within the past month I'll assume the problem has been fixed and close the ticket accordingly. If later testing with a FFADO svn snapshot proves this incorrect the ticket can be re-opened.